[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TGraphicControl.Canvas

A clipping window to the parent canvas.

## Declaration

Source position: controls.pp line 1917

`public property TGraphicControl.Canvas: TCanvas read FCanvas;`

## Description

The TGraphicsControl.Canvas is a clipping window to the parent canvas.

If you ask for the Canvas.Width or Canvas.Height, you are actually getting the parent control's Canvas dimensions.

To get the dimensions of the TGraphicControl, you must query the ClientRect.

## See also

TCanvas |  | TCanvas - where most of the drawing is performed

The latest version of this document can be found at lazarus-ccr.sourceforge.net.